<template>
  <div class="mb56 clearfix">
    <h2 class="title_cate">
      <span>Máy tính - PC</span>
    </h2>
    <div class="fillter-home">
      <div class="flex thuong-hieu">
        <div class="title">Thương hiệu</div>
        <div v-swiper:ThuongHieuPC="options_thpc" class="content">
          <div class="swiper-wrapper">
            <div
              v-for="(brand, index) in pc.filters.brands"
              :key="'brand-filter' + index"
              class="swiper-slide"
            >
              <nuxt-link class="asus" :to="'/thuong-hieu/' + brand.shared_url">
                <img
                  v-if="$device.isMobile"
                  class="lazyload"
                  :data-srcset="resizeImage(baseImageUrl + brand.icon, 54, 35)"
                  :alt="brand.name"
                />
                <img
                  v-else
                  class="lazyload"
                  :data-srcset="baseImageUrl + brand.icon"
                  :alt="brand.name"
                />
              </nuxt-link>
            </div>
          </div>
        </div>
        <div id="next-thpc" class="swiper-button-next">
          <svg-icon
            name="arrow-right"
            style="width: 24px; height: 24px;"
          ></svg-icon>
        </div>
        <div id="prev-thpc" class="swiper-button-prev">
          <svg-icon
            name="arrow-left"
            style="width: 24px; height: 24px;"
          ></svg-icon>
        </div>
      </div>
      <div class="flex">
        <div class="title">Khoảng giá</div>
        <div class="content">
          <label
            v-for="range in pc.filters.price_range"
            :key="range.name"
            @click.prevent="$router.push(`/pc?pr=${range.id}`)"
          >
            {{ range.name }}
          </label>
        </div>
      </div>
    </div>
    <div class="list-product list-product_5item row">
      <ProductItemGrid
        v-for="product in pc.products"
        :key="product.id"
        :product="product"
      />
    </div>
    <div class="view-more view-more__border">
      <nuxt-link to="/pc">
        Xem tất cả
      </nuxt-link>
    </div>
  </div>
</template>

<script>
import Helper from '../../assets/config'

export default {
  name: 'ProductPC',
  components: {
    ProductItemGrid: () => import('~/components/Products/ProductItemGrid'),
  },
  props: {
    pc: {
      type: Object,
      default: null,
    },
  },
  data() {
    return {
      options_thpc: {
        slidesPerView: 5,
        spaceBetween: 8,
        slidesPerGroup: 3,
        navigation: {
          nextEl: '#next-thpc',
          prevEl: '#prev-thpc',
        },
        breakpoints: {
          480: {
            slidesPerView: 5,
          },
          991: {
            slidesPerView: 5,
          },
          1024: {
            slidesPerView: 8,
          },
        },
      },
    }
  },
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
  },
}
</script>
